> For the complete documentation index, see [llms.txt](https://apidocs.nhanh.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.nhanh.vn/v3/product/unit.md).

# Danh sách đơn vị tính

* API này dùng để lấy danh sách đơn vị tính của sản phẩm nhiều đơn vị tính.

## Request

* Xem [common request params](/v3/readme.md#request-params).

```curl
curl --location 'https://pos.open.nhanh.vn/v3.0/product/unit?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--header 'Content-Type: application/json'
--data '{
    "filters": {
         "productId": 1231279144
    },
    "paginator": {
        "size": 100
    }
}'
```

### Filters

| Key           | Type      | Description                |
| ------------- | --------- | -------------------------- |
| id            | int       | ID đơn vị tính             |
| productId     | int       | ID sản phẩm                |
| createdAtFrom | timestamp | Thời gian tạo sản phẩm từ  |
| createdAtTo   | timestamp | Thời gian tạo sản phẩm đến |

### Paginator

* Xem cấu trúc chung [tại đây](/v3/readme.md#paginator).

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

```json
{
  "code": 1,
  "paginator": {
    "next": "Giá trị để lấy dữ liệu trang tiếp theo"
  },
  "data": [
    {
      "id": "(int) ID đơn vị tính",
      "productId": "(int) ID sản phẩm",
      "name": "(string) Tên đơn vị tính",
      "quantity": "(int) Số lượng quy đổi",
      "price": "(double) Giá bán lẻ",
      "wholesalePrice": " (double) Giá bán sỉ"
    },
    {
      "id": "(int) ID đơn vị tính",
      "productId": "(int) ID sản phẩm",
      "name": "(string) Tên đơn vị tính",
      "quantity": "(int) Số lượng quy đổi",
      "price": "(double) Giá bán lẻ",
      "wholesalePrice": " (double) Giá bán sỉ"
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v3/product/unit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
